| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputerString< T > Class Template Reference
[Containers]

Template that can be used as a base class for hash computers for string types (must support cast to const char*). More...

`#include <csutil/hash.h>`

List of all members.

## Static Public Member Functions
static uint | ComputeHash (const T &key)

## Detailed Description

### template<class T>
class csHashComputerString< T >

Template that can be used as a base class for hash computers for string types (must support cast to const char*).

Example:

     template<> class csHashComputer<MyString> :
       public csHashComputerString<MyString> {};

Definition at line 176 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h